package de.laliluna.tutorial.customconverter.converter;

import javax.faces.convert.Converter;
import javax.faces.webapp.ConverterTag;
import javax.servlet.jsp.JspException;

/**
 * ConverterTag Class UserConverterTag
 */
public class CreditCardConverterTag extends ConverterTag {

	
	private String displayCharacter;
	
	public String getDisplayCharacter() {
		return displayCharacter;
	}
	public void setDisplayCharacter(String displayCharacter) {
		this.displayCharacter = displayCharacter;
	}
	
	/**
	 * Constructor
	 */
	public CreditCardConverterTag(){
		super();
		setConverterId(CreditCardConverter.CONVERTER_ID);
	}
	
	/**
	 * release method
	 */
	public void release() {
		super.release();
		displayCharacter = null;
	}
	
	/**
	 * createConverter method
	 */
	protected Converter createConverter() throws JspException {
		
		CreditCardConverter converter = (CreditCardConverter)super.createConverter();
		converter.setDisplayCharacter(displayCharacter);
		
		return converter;
	}
}
